Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMultiThreader::ThreadInfo Class Reference

`#include <vtkMultiThreader.h>`

Collaboration diagram for vtkMultiThreader::ThreadInfo:

[legend]
List of all members.

## Public Attributes

int | ThreadID
int | NumberOfThreads
int * | ActiveFlag
vtkMutexLock * | ActiveFlagLock
void * | UserData

## Member Data Documentation

int vtkMultiThreader::ThreadInfo::ThreadID

| Definition at line 125 of file vtkMultiThreader.h.

int vtkMultiThreader::ThreadInfo::NumberOfThreads

| Definition at line 126 of file vtkMultiThreader.h.

int* vtkMultiThreader::ThreadInfo::ActiveFlag

| Definition at line 127 of file vtkMultiThreader.h.

vtkMutexLock* vtkMultiThreader::ThreadInfo::ActiveFlagLock

| Definition at line 128 of file vtkMultiThreader.h.

void* vtkMultiThreader::ThreadInfo::UserData

| Definition at line 129 of file vtkMultiThreader.h.

The documentation for this class was generated from the following file:

- Common/vtkMultiThreader.h